# whatsapp-web.js 1.2.1-post » Class: PrivateChat

## Properties

archived
id
isGroup

isReadOnly
name
timestamp

unreadCount

## Methods

archive()
clearMessages()
clearState()
delete()

fetchMessages(searchOptions)
sendMessage(content, options)
sendSeen()
sendStateRecording()

sendStateTyping()
unarchive()

## new PrivateChat()

Extends
  Chat

## Properties

### archived unknown

Indicates if the Chat is archived

Inherited from
  Chat#archived

### id unknown

ID that represents the chat

Inherited from
  Chat#id

### isGroup unknown

Indicates if the Chat is a Group Chat

Inherited from
  Chat#isGroup

### isReadOnly unknown

Indicates if the Chat is readonly

Inherited from
  Chat#isReadOnly

### name unknown

Title of the chat

Inherited from
  Chat#name

### timestamp unknown

Unix timestamp for when the chat was created

Inherited from
  Chat#timestamp

### unreadCount unknown

Amount of messages unread

Inherited from
  Chat#unreadCount

## Methods

async

### archive()

Archives this chat

Inherited from
  Chat#archive

async

### clearMessages() → Promise containing Boolean

Clears all messages from the chat

Inherited from
  Chat#clearMessages
Returns

  result

async

### clearState()

Stops typing or recording in chat immediately.

Inherited from
  Chat#clearState

async

### delete() → Promise containing Boolean

Deletes the chat

Inherited from
  Chat#delete
Returns

  result

async

### fetchMessages(searchOptions) → Promise containing Array of Message

Loads chat messages, sorted from earliest to latest.

#### Parameters

Name | Type | Optional | Description
--- | --- | --- | ---

searchOptions

Options for searching messages. Right now only limit is supported.

Values in `searchOptions` have the following properties:

Name | Type | Optional | Description
--- | --- | --- | ---
limit |  | Yes | The amount of messages to return. Note that the actual number of returned messages may be smaller if there aren't enough messages in the conversation. Set this to Infinity to load all messages. Defaults to `50`.

Inherited from
  Chat#fetchMessages
Returns

async

### sendMessage(content, options) → Promise containing Message

Send a message to this chat

#### Parameters

Name | Type | Optional | Description
--- | --- | --- | ---
content |  |  |
options |  |  |

Inherited from
  Chat#sendMessage
Returns

  Message that was just sent

async

### sendSeen() → Promise containing Boolean

Set the message as seen

Inherited from
  Chat#sendSeen
Returns

  result

async

### sendStateRecording()

Simulate recording audio in chat. This will last for 25 seconds.

Inherited from
  Chat#sendStateRecording

async

### sendStateTyping()

Simulate typing in chat. This will last for 25 seconds.

Inherited from
  Chat#sendStateTyping

async

### unarchive()

un-archives this chat

Inherited from
  Chat#unarchive